org.codehaus.plexus.component.configurator.converters.basic

## Class FileConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter
    - - org.codehaus.plexus.component.configurator.converters.basic.FileConverter

All Implemented Interfaces:
  ConfigurationConverter

    public class FileConverter
    extends AbstractBasicConverter

Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`FileConverter()`

### Method Summary

Methods
`boolean` `canConvert(java.lang.Class type)`
`java.lang.Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, java.lang.Class type, java.lang.Class baseType, java.lang.ClassLoader classLoader, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`
`java.lang.Object` `fromString(java.lang.String str)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileConverter

    public FileConverter()

### Method Detail

#### canConvert

    public boolean canConvert(java.lang.Class type)

#### fromString

    public java.lang.Object fromString(java.lang.String str)

Specified by:
  `fromString` in class `AbstractBasicConverter`

#### fromConfiguration

    public java.lang.Object fromConfiguration(ConverterLookup converterLookup,
                                     PlexusConfiguration configuration,
                                     java.lang.Class type,
                                     java.lang.Class baseType,
                                     java.lang.ClassLoader classLoader,
                                     ExpressionEvaluator expressionEvaluator,
                                     ConfigurationListener listener)
                                       throws ComponentConfigurationException

Specified by:
  `fromConfiguration` in interface `ConfigurationConverter`
Overrides:
  `fromConfiguration` in class `AbstractBasicConverter`
Parameters:
  `converterLookup` - Repository of available converters
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`